/*!
    *
    * Wijmo Library 5.20251.40
    * https://developer.mescius.com/wijmo
    *
    * Copyright(c) MESCIUS inc. All rights reserved.
    *
    * Licensed under the End-User License Agreement For MESCIUS Wijmo Software.
    * us.sales@mescius.com
    * https://developer.mescius.com/wijmo/licensing
    *
    */
/**
 * {@module wijmo.vue2.chart.annotation}
 * Contains Vue 2 and 3 components for the <b>wijmo.chart.annotation</b> module.
 */
/**
 *
 */
export declare var ___keepComment: any;
/**
 * Vue component for the {@link wijmo.chart.annotation.AnnotationLayer} class.
 *
 * The <b>wj-flex-chart-annotation-layer</b> component should be contained in
 * one of the following components:
 * {@link wijmo.vue2.chart.WjFlexChart}
 *  or {@link wijmo.vue2.chart.finance.WjFinancialChart}.
 *
 * The <b>wj-flex-chart-annotation-layer</b> component may contain
 * the following child components:
 * {@link wijmo.vue2.chart.annotation.WjFlexChartAnnotationText}
 * , {@link wijmo.vue2.chart.annotation.WjFlexChartAnnotationEllipse}
 * , {@link wijmo.vue2.chart.annotation.WjFlexChartAnnotationRectangle}
 * , {@link wijmo.vue2.chart.annotation.WjFlexChartAnnotationLine}
 * , {@link wijmo.vue2.chart.annotation.WjFlexChartAnnotationPolygon}
 * , {@link wijmo.vue2.chart.annotation.WjFlexChartAnnotationCircle}
 * , {@link wijmo.vue2.chart.annotation.WjFlexChartAnnotationSquare}
 * and {@link wijmo.vue2.chart.annotation.WjFlexChartAnnotationImage}.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.annotation.AnnotationLayer} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartAnnotationLayer: any;
/**
 * Vue component for the {@link wijmo.chart.annotation.Text} class.
 *
 * The <b>wj-flex-chart-annotation-text</b> component should be contained in
 * a {@link wijmo.vue2.chart.annotation.WjFlexChartAnnotationLayer} component.
 *
 * The <b>wj-flex-chart-annotation-text</b> component may contain
 * a {@link wijmo.vue2.chart.WjFlexChartDataPoint} child component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.annotation.Text} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartAnnotationText: any;
/**
 * Vue component for the {@link wijmo.chart.annotation.Ellipse} class.
 *
 * The <b>wj-flex-chart-annotation-ellipse</b> component should be contained in
 * a {@link wijmo.vue2.chart.annotation.WjFlexChartAnnotationLayer} component.
 *
 * The <b>wj-flex-chart-annotation-ellipse</b> component may contain
 * a {@link wijmo.vue2.chart.WjFlexChartDataPoint} child component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.annotation.Ellipse} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartAnnotationEllipse: any;
/**
 * Vue component for the {@link wijmo.chart.annotation.Rectangle} class.
 *
 * The <b>wj-flex-chart-annotation-rectangle</b> component should be contained in
 * a {@link wijmo.vue2.chart.annotation.WjFlexChartAnnotationLayer} component.
 *
 * The <b>wj-flex-chart-annotation-rectangle</b> component may contain
 * a {@link wijmo.vue2.chart.WjFlexChartDataPoint} child component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.annotation.Rectangle} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartAnnotationRectangle: any;
/**
 * Vue component for the {@link wijmo.chart.annotation.Line} class.
 *
 * The <b>wj-flex-chart-annotation-line</b> component should be contained in
 * a {@link wijmo.vue2.chart.annotation.WjFlexChartAnnotationLayer} component.
 *
 * The <b>wj-flex-chart-annotation-line</b> component may contain
 * a {@link wijmo.vue2.chart.WjFlexChartDataPoint} child component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.annotation.Line} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartAnnotationLine: any;
/**
 * Vue component for the {@link wijmo.chart.annotation.Polygon} class.
 *
 * The <b>wj-flex-chart-annotation-polygon</b> component should be contained in
 * a {@link wijmo.vue2.chart.annotation.WjFlexChartAnnotationLayer} component.
 *
 * The <b>wj-flex-chart-annotation-polygon</b> component may contain
 * a {@link wijmo.vue2.chart.WjFlexChartDataPoint} child component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.annotation.Polygon} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartAnnotationPolygon: any;
/**
 * Vue component for the {@link wijmo.chart.annotation.Circle} class.
 *
 * The <b>wj-flex-chart-annotation-circle</b> component should be contained in
 * a {@link wijmo.vue2.chart.annotation.WjFlexChartAnnotationLayer} component.
 *
 * The <b>wj-flex-chart-annotation-circle</b> component may contain
 * a {@link wijmo.vue2.chart.WjFlexChartDataPoint} child component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.annotation.Circle} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartAnnotationCircle: any;
/**
 * Vue component for the {@link wijmo.chart.annotation.Square} class.
 *
 * The <b>wj-flex-chart-annotation-square</b> component should be contained in
 * a {@link wijmo.vue2.chart.annotation.WjFlexChartAnnotationLayer} component.
 *
 * The <b>wj-flex-chart-annotation-square</b> component may contain
 * a {@link wijmo.vue2.chart.WjFlexChartDataPoint} child component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.annotation.Square} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartAnnotationSquare: any;
/**
 * Vue component for the {@link wijmo.chart.annotation.Image} class.
 *
 * The <b>wj-flex-chart-annotation-image</b> component should be contained in
 * a {@link wijmo.vue2.chart.annotation.WjFlexChartAnnotationLayer} component.
 *
 * The <b>wj-flex-chart-annotation-image</b> component may contain
 * a {@link wijmo.vue2.chart.WjFlexChartDataPoint} child component.
 *
 * The component supports all properties and events of the pure JavaScript {@link wijmo.chart.annotation.Image} class it represents.
 *
 * The component includes an <b>initialized</b> event that is raised when the control is initialized after it is added to the page.
 * You can use this event to perform further initialization in addition to setting properties in markup.
 * The signature of the handler function is the same as any other Wijmo event handlers.
 */
export declare var WjFlexChartAnnotationImage: any;
export declare function registerChartAnnotation(app: any): void;
